<style type="text/css">
h4 {
    margin: 6px 0px 0px 0px;
}
.examples {
    margin: 20px 18px 20px 18px;
}
.example {
    margin: 60px 18px 40px 18px;
}
.example img {
    width: 200px;
    float: left;
    margin: 0px 10px 0px 0px;
}
.btn-open {
    float: right;
    margin: 8px 0px 0px 4px
}
</style>

<div class="examples">
<h2>Installed Software</h2>

    <div class="row">
        <div class="col-md-6">

            <div class="example">
                <img src="https://vispa.physik.rwth-aachen.de/data/_uploaded/image/1.0/software/logo_pxl.png" alt="logo_pxl.png" title="pxl"><h4>PXL</h4>The Physics eXtension Library (PXL) is a C++ class collection for advanced level analysis in high energy physics experiments. PXL classes are based on the ANSI C++ language standard together with the Standard Template Library (STL). All classes are accessible and usable from Python. <a data-toggle="collapse" href="#collapsePXL">more...</a><div id="collapsePXL" class="collapse">During the reconstruction of a high energy physics data event, PXL enables storing all event information in objects (<code><a href="https://forge.physik.rwth-aachen.de/public/pxl/3.5/doxygen/classpxl_1_1Object.html" target="_blank">pxl::Object</a></code>) such as particles (<code><a href="https://forge.physik.rwth-aachen.de/public/pxl/3.5/doxygen/classpxl_1_1Particle.html" target="_blank">pxl::Particle</a></code>), vertices (<code><a href="https://forge.physik.rwth-aachen.de/public/pxl/3.5/doxygen/classpxl_1_1Vertex.html" target="_blank">pxl::Vertex</a></code>) and collisions (<code><a href="https://forge.physik.rwth-aachen.de/public/pxl/3.5/doxygen/classpxl_1_1Collision.html" target="_blank">pxl::Collision</a></code>). Each of them allows storing all information that users need to keep for their analysis. In addition, the program allows to include self-defined C++ PXL classes in order to maintain structures of analysis-specific event information. Between all such objects, relations can be established, e.g. to build particle decay trees.<br>At this level, PXL objects contain single aspects of an individual event. For maintaining information about a whole process, PXL provides the building block <code><a href="https://forge.physik.rwth-aachen.de/public/pxl/3.5/doxygen/classpxl_1_1EventView.html" target="_blank">pxl::EventView</a></code>. This is a generalized event container where, beyond the aforementioned physics objects, user information can be stored as well.</div> <a href="https://forge.physik.rwth-aachen.de/public/pxl/3.5/doxygen/" target="blank" class="btn btn-primary btn-open">Open Documentation</a>
            </div>

        </div>

        <div class="col-md-6">

            <div class="example">
                <img src="https://vispa.physik.rwth-aachen.de/data/_uploaded/image/1.0/software/logo_root.gif" alt="logo_root.png" title="ROOT"><h4>ROOT</h4>For almost two decades, ROOT has established itself as the framework for HENP data processing and analysis. The ROOT system provides a set of frameworks with all the functionality needed to handle and analyze large amounts of data in a very efficient way. <a data-toggle="collapse" href="#collapseROOT">more...</a><div id="collapseROOT" class="collapse">The class <code><a href="http://root.cern.ch/root/html/TF1.html" target="_blank">root::TF1</a></code> will allow you display a function of one variable, whereas <code><a href="http://root.cern.ch/root/html/TF2.html" target="_blank">root::TF2</a></code> gives you the opportunity of plotting 2-dimensional functions. For histograms, use <code><a href="http://root.cern.ch/root/htmldoc/TH1.html" target="_blank">root::TH1</a></code>, respectively <code><a href="http://root.cern.ch/root/html/TH2.html" target="_blank">root::TH2</a></code>. If you want to illustrate measured data, make use of <code><a href="http://root.cern.ch/root/html/TGraphErrors.html" target="_blank">root::TGraphErrors</a></code> and perform a fit to an arbitrary function with <code><a href="http://root.cern.ch/root/html/TGraph.html#TGraph:Fit" target="_blank">TGraph::Fit</a></code>. For more details, look at the <a href="http://root.cern.ch/drupal/content/users-guide" target="_blank">ROOT User's Guide Homepage</a> where you will also find a <a href="http://root.cern.ch/root/html534/guides/primer/ROOTPrimer.pdf" target="_blank">primer</a> for a quick access into ROOT. </div> <a href="http://root.cern.ch/drupal/content/documentation" target="blank" class="btn btn-primary btn-open">Open Documentation</a>
            </div>

        </div>
    </div>


    <div class="row">
        <div class="col-md-6">

            <div class="example">
                <img src="https://vispa.physik.rwth-aachen.de/data/_uploaded/image/1.0/software/logo_python.png" alt="logo_python.png" title="python"><h4>python</h4>Python is a programming language that lets you work more quickly and integrate your systems more effectively. Learning to use python, you will notice almost immediate gains in productivity and lower maintenance costs.<a href="https://docs.python.org/2.7/" target="blank" class="btn btn-primary btn-open">Open Documentation</a>
            </div>

        </div>

        <div class="col-md-6">

            <div class="example">
                <img src="https://vispa.physik.rwth-aachen.de/data/_uploaded/image/1.0/software/logo_condor.png" alt="logo_condor.png" title="Condor"><h4>Condor HTC</h4>Condor's goal is to develop, implement, deploy, evaluate mechanisms and policies that support High Throughput Computing (HTC) on large collections of distributively owned computing resources. <br><a href="http://research.cs.wisc.edu/htcondor/manual/" target="blank" class="btn btn-primary btn-open">Open Documentation</a>
            </div>

        </div>
    </div>


    <div class="row">
        <div class="col-md-6">

            <div class="example">
                <img src="https://vispa.physik.rwth-aachen.de/data/_uploaded/image/1.0/software/logo_numpy.png" alt="logo_numpy.png" title="numpy"><h4>NumPy</h4>NumPy is the fundamental package for scientific computing with Python. It contains among other things: a powerful N-dimensional array object, sophisticated (broadcasting) functions, useful linear algebra, Fourier transform, and random number capabilities.<a href="http://docs.scipy.org/doc/" target="blank" class="btn btn-primary btn-open">Open Documentation</a>
            </div>

        </div>

        <div class="col-md-6">

            <div class="example">
                <img src="https://vispa.physik.rwth-aachen.de/data/_uploaded/image/1.0/software/logo_scipy.png" alt="logo_scipy.png" title="SciPy"><h4>SciPy</h4>SciPy refers to several related but distinct entities: the SciPy Stack, a collection of open source software for scientific computing in Python, and particularly a specified set of core packages.<br><a href="http://docs.scipy.org/doc/" target="blank" class="btn btn-primary btn-open">Open Documentation</a>
            </div>

        </div>
    </div>


    <div class="row">
        <div class="col-md-6">

            <div class="example">
                <img src="https://vispa.physik.rwth-aachen.de/data/_uploaded/image/1.0/software/logo_crpropa.png" alt="crpropa.png" title="CRPropa"><h4>CRPropa</h4>CRPropa is a publicly available code to study the propagation of ultra high energy nuclei up to iron on their voyage through an extra galactic environment. It takes into account: pion production, photodisintegration, and energy losses by pair production of all relevant isotopes in the ambient low energy photon fields as well as nuclear decay. <a href="https://github.com/CRPropa/CRPropa3/wiki" target="blank" class="btn btn-primary btn-open">Open Documentation</a>
            </div>

        </div>

        <div class="col-md-6">

            <div class="example">
                <img src="https://vispa.physik.rwth-aachen.de/data/_uploaded/image/1.0/software/logo_matplotlib.png" alt="logo_matplotlib.png" title="matplotlib"><h4>matplotlib</h4>Matplotlib is a python 2D plotting library which produces publication quality figures in a variety of hardcopy formats and interactive environments across platforms. Matplotlib can be used in python scripts, the python and ipython shell, web application servers, and six graphical user interface toolkits.<br><br><a href="http://matplotlib.org/contents.html" target="blank" class="btn btn-primary btn-open">Open Documentation</a>
            </div>

        </div>
    </div>


    <div class="row">
        <div class="col-md-6">

            <div class="example">
                <img src="https://vispa.physik.rwth-aachen.de/data/_uploaded/image/1.0/software/logo_gsl.png" alt="gsl.png" title="GSL"><h4>GSL</h4>The GNU Scientific Library (GSL) is a collection of routines for numerical computing. The routines have been written from scratch in C, and present a modern Applications Programming Interface (API) for C programmers allowing wrappers to be written for very high-level languages.<br><a href="http://www.gnu.org/doc/doc.html" target="blank" class="btn btn-primary btn-open">Open Documentation</a>
            </div>

        </div>

        <div class="col-md-6">

            <div class="example">
                <img src="https://vispa.physik.rwth-aachen.de/data/_uploaded/image/1.0/software/logo_boost.png" alt="logo_boost.png" title="boost"><h4>boost</h4>Boost is a set of libraries for the C++ programming language that provides support for tasks and structures such as linear algebra, pseudorandom number generation, multithreading, image processing, regular expressions, and unit testing. It contains over 80 individual libraries.<a href="http://www.boost.org/doc/" target="blank" class="btn btn-primary btn-open">Open Documentation</a>
            </div>

        </div>
    </div>


</div>